=== debian/changelog ===
tinysvm (0.09+dfsg-2) experimental; urgency=low

  * Drop manpages_fix.patch.
  * Split 2002_autoconf_fixes.patch into 1003_autoconf_fixes.patch
    and 1003.1_do_not_create_python_setup.patch.
  * Make CFLAGS and CXXFLAGS overridable in 1003_autoconf_fixes.patch.
  * Fix a typo in 1003_autoconf_fixes.patch header.
  * Improve copyright file.
  * Fix copyright_hints.
  * Add 1004_developers_files.patch.
    Install tinysvm.pc with libtinysvm-dev.
  * Add 1005_auto_update_code_fixes.patch.
    Fixes update-html and update-man targets in doc/Makefile.am and
    man/Makefile.am.
  * Add Vcs-Browse and Vcs-Git fields.
  * Bumped Standards-Version to 3.9.4.
    No changes needed.
  * Add help2man and man2html build dependencies.
  * Change rules to update html and manpages at build time.
  * Install updated html files.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 13 Feb 2013 01:55:53 +0100

tinysvm (0.09+dfsg-1) experimental; urgency=low

  * Initial release
    Closes: #668874.

 -- Giulio Paci <giuliopaci@gmail.com>  Tue, 13 Nov 2012 19:37:25 +0100
