=== debian/control ===
Source: tinysvm
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: autotools-dev,
 cdbs (>= 0.4.85~),
 debhelper (>= 9~),
 dh-buildinfo,
 devscripts,
 libtool,
 automake1.11,
 autoconf,
 dpkg-dev (>= 1.16.1~),
 help2man,
 man2html
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/collab-maint/tinysvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tinysvm.git
Homepage: http://www.chasen.org/~taku/software/TinySVM/

Package: tinysvm
Architecture: any
Depends: libtinysvm1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: SVM trainer and classifier toolkit
 SVMs (Support Vector Machines) are supervised learning models with
 associated learning algorithms, and have been proven suitable for a
 large number of real-world applications, such as text categorization,
 hand-written character recognition, and image classification. TinySVM
 is an implementation specialising in pattern recognition.
 .
 This package provides tools for developing SVMs with TinySVM.

Package: libtinysvm-dev
Architecture: any
Section: libdevel
Depends: libtinysvm1 (= ${binary:Version}),
         ${misc:Depends}
Description: SVM trainer and classifier toolkit - development files
 SVMs (Support Vector Machines) are supervised learning models with
 associated learning algorithms, and have been proven suitable for a
 large number of real-world applications, such as text categorization,
 hand-written character recognition, and image classification. TinySVM
 is an implementation specialising in pattern recognition.
 .
 This package provides development headers for TinySVM.

Package: libtinysvm1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libtinysvm1 (= ${binary:Version}),
         ${misc:Depends}
Description: SVM trainer and classifier toolkit - debug symbols
 SVMs (Support Vector Machines) are supervised learning models with
 associated learning algorithms.
 .
 This package provides the detached debug symbols for the TinySVM
 library.

Package: libtinysvm1
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: SVM trainer and classifier toolkit - runtime library
 SVMs (Support Vector Machines) are supervised learning models with
 associated learning algorithms, and have been proven suitable for a
 large number of real-world applications, such as text categorization,
 hand-written character recognition, and image classification. TinySVM
 is an implementation specialising in pattern recognition.
 .
 This package contains the TinySVM runtime library.
