=== debian/rules ===
#!/usr/bin/make -f

DEB_TARBALL := 
DEB_ROOT := $(abspath $(dir $(firstword $(MAKEFILE_LIST)))/..)
DEB_SRCDIR := .

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

DEB_MAKE_CHECK_TARGET := check
DEB_BUILD_PARALLEL := 1
DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -t

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_ACLOCAL_ARGS = 
DEB_AUTO_UPDATE_AUTOMAKE = 1.11
DEB_AUTOMAKE_ARGS = --foreign --add-missing --copy
DEB_AUTO_UPDATE_AUTOCONF = 2.69
DEB_AUTO_UPDATE_AUTOHEADER = 2.69

BACKUP=tinysvm.spec \
	doc/doc/Makefile.in doc/Makefile.in man/Makefile.in src/Makefile.in java/Makefile.in tests/Makefile.in Makefile.in \
 configure aclocal.m4 config.h.in ltmain.sh \
	man/*.1 doc/*.html

pre-build::
	# Backup files expected to be modified.
	set -e ; for i in $(BACKUP); do \
		if [ ! -f "$$i".backup ]; then cp -a "$$i" "$$i".backup; fi ; \
	done

common-install-prehook-impl::
	make update-man -C man
	make update-html -C doc

clean::
	set -e ; for i in $(BACKUP); do \
		if [ -f "$$i".backup ]; then mv -f "$$i".backup "$$i"; fi ; \
	done
	$(RM) java/Makefile perl/Makefile.PL ruby/extconf.rb
	$(RM) tests/train.500

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , dpkg-dev (>= 1.16.1~), help2man, man2html

TINYSVM_GET_ORIG_TEMPORARY=$(DEB_ROOT)/temporary
TINYSVM_GET_ORIG_BASENAME=TinySVM-0.09
TINYSVM_GET_ORIG_ORIG_PATH=$(DEB_ROOT)/temporary/$(TINYSVM_GET_ORIG_BASENAME)/
TINYSVM_GET_ORIG_SWIG_FILES_BASEURL=https://raw.github.com/shogo82148/TinySVM/27cd618cc8d09834355102bf7f05147883e6e233/
get-orig-source:
	mkdir -p $(TINYSVM_GET_ORIG_TEMPORARY)
	cd $(DEB_ROOT) && uscan --no-conf --download-current-version --destdir $(DEB_ROOT)/temporary
	tar zxvf $(TINYSVM_GET_ORIG_TEMPORARY)/$(TINYSVM_GET_ORIG_BASENAME).tar.gz -C $(TINYSVM_GET_ORIG_TEMPORARY)
	cd $(TINYSVM_GET_ORIG_ORIG_PATH) \
	   && rm -f \
		java/*.* \
		perl/TinySVM*.* \
		python/TinySVM*.* \
		python/*.in \
		python/install-sh \
		python/makesetup \
		python/README \
		ruby/TinySVM*.* \
		ruby/mkmf.log
	echo \
		java/test.java \
		java/Makefile.in \
		python/setup.py \
		python/README \
		swig/TinySVM.i \
		swig/Makefile \
	   | sed -e 's/[[:space:]]\+/\n/g' \
	   | wget -i - -B $(TINYSVM_GET_ORIG_SWIG_FILES_BASEURL) -x -nH --cut-dirs=3 -P $(TINYSVM_GET_ORIG_ORIG_PATH) -c
	mv $(TINYSVM_GET_ORIG_ORIG_PATH) $(TINYSVM_GET_ORIG_TEMPORARY)/$(TINYSVM_GET_ORIG_BASENAME)+dfsg
	cd $(TINYSVM_GET_ORIG_TEMPORARY)/ \
	   && tar zcvf $(TINYSVM_GET_ORIG_BASENAME)+dfsg.tar.gz --owner root --group root --mode a+rX $(TINYSVM_GET_ORIG_BASENAME)+dfsg
	mv $(TINYSVM_GET_ORIG_TEMPORARY)/$(TINYSVM_GET_ORIG_BASENAME)+dfsg.tar.gz $$(echo $(TINYSVM_GET_ORIG_BASENAME)+dfsg.orig.tar.gz | sed -e 's/.*-/tinysvm_/')
	$(RM) -r $(TINYSVM_GET_ORIG_TEMPORARY)

clean::
	$(RM) -r $(TINYSVM_GET_ORIG_TEMPORARY)
