=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.chasen.org/~taku/software/TinySVM/src/TinySVM[-_](\d[\d\.]+)\.(?:tar\.(?:gz|bz2|lzma|xz)|tgz|zip|txz)
